package com.usky.fire.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.bean.CommonPage;
import com.usky.fire.domain.BaseBuild;
import com.usky.fire.domain.BaseCompany;
import com.usky.fire.service.DemReportInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 报告信息表 前端控制器
 * </p>
 *
 * @author han
 * @since 2023-03-02
 */
@RestController
@RequestMapping("/demReportInfo")
public class DemReportInfoController {
    @Autowired
    private DemReportInfoService demReportInfoService;

    /**
     * 单位管理-单位列表查询
     *
     * @param companyId  单位ID
     * @param pageNum      当前页
     * @param pageSize     每页条数
     * @return
     */
    @GetMapping("reportInfoList")
    public ApiResult<CommonPage<Object>> reportInfoList(@RequestParam(value = "companyId", required = false) String companyId,
                                                     @RequestParam(value = "pageNum", required = false, defaultValue = "1") Integer pageNum,
                                                     @RequestParam(value = "pageSize", required = false, defaultValue = "10") Integer pageSize) {
        return ApiResult.success(demReportInfoService.reportInfoList(companyId,pageNum, pageSize));
    }
}

