package com.usky.fire.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.common.core.bean.CommonPage;
import com.usky.fire.domain.BaseCompany;
import com.usky.fire.domain.BaseCompanyAttach1;
import com.usky.fire.domain.BaseCompanyPerson;
import com.usky.fire.domain.DemReportInfo;
import com.usky.fire.mapper.DemReportInfoMapper;
import com.usky.fire.service.DemReportInfoService;
import com.usky.common.mybatis.core.AbstractCrudService;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 报告信息表 服务实现类
 * </p>
 *
 * @author han
 * @since 2023-03-02
 */
@Service
public class DemReportInfoServiceImpl extends AbstractCrudService<DemReportInfoMapper, DemReportInfo> implements DemReportInfoService {
    @Override
    public CommonPage<Object> reportInfoList(String companyId,Integer pageNum, Integer pageSize) {
        List<Object> list = new ArrayList<>();
        IPage<DemReportInfo> page = new Page<>(pageNum, pageSize);
        LambdaQueryWrapper<DemReportInfo> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(StringUtils.isNotBlank(companyId), DemReportInfo::getCompanyId, companyId)
                .orderByDesc(DemReportInfo::getId);
        page = this.page(page, queryWrapper);
        list.add(page.getRecords());
        return new CommonPage<>(list, page.getTotal(), pageSize, pageNum);
    }
}
